Page MenuHomePhabricator

Revisions can be eliminated via GlobalRenameUser
Closed, DuplicatePublic

Description

There seems to be a rather serious bug in the global rename user facility that allows destruction of revisions making them no longer available for admins to retrieve. See https://en.wikipedia.org/wiki/Wikipedia:Bureaucrats%27_noticeboard#Rather_serious_rename_bug for more details [ https://en.wikipedia.org/w/index.php?title=Wikipedia:Bureaucrats%27_noticeboard&oldid=659873109 ]

I have replicated the bug and destroyed revision 659870568 https://en.wikipedia.org/w/index.php?title=User:Test_account_042915_newname&oldid=659870568 https://en.wikipedia.org/w/index.php?title=User:Test_account_042915_newname&action=history

  1. User moves their userpage to a desired new name
  2. User later requests rename
  3. Rename ends up moving the user-created redirect over the proper target and old revisions are nowhere to be found.

Expected behaviour: Old revisions would be available in the deleted edits.

Event Timeline

Xeno created this task.Apr 29 2015, 1:59 PM
Xeno updated the task description. (Show Details)
Xeno raised the priority of this task from to Unbreak Now!.
Xeno assigned this task to Legoktm.
Xeno added a subscriber: Xeno.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 29 2015, 1:59 PM
Betacommand added a subscriber: Betacommand.EditedApr 29 2015, 2:18 PM

select * from revision where rev_id = 659870568;
+-----------+----------+-------------+------------------------------------------------------------------------------------------------+----------+-----------------------------+----------------+----------------+-------------+---------+---------------+---------------------------------+-------------------+--------------------+

rev_idrev_pagerev_text_idrev_commentrev_userrev_user_textrev_timestamprev_minor_editrev_deletedrev_lenrev_parent_idrev_sha1rev_content_modelrev_content_format
659870568465601350[[WP:AES|←]]Created page with 'Make userpage, move to location, be renamed over the target.'24999018Test account 042915 newname2015042913211100600g9vf2u7oobexljx2hn2a81bamv35bnkNULLNULL

+-----------+----------+-------------+------------------------------------------------------------------------------------------------+----------+-----------------------------+----------------+----------------+-------------+---------+---------------+---------------------------------+-------------------+--------------------+

Xeno added a comment.Apr 29 2015, 3:00 PM

select * from revision where rev_id = 659870568;

Yes, that's the content; where has the revision disappeared off to?

Users requiring their revisions restored: en:user:Tabletrack , en:user:SwagMaster2030

Looks Like something caused rev_text_id to be 0 which is why it cannot be found in either deleted or non-deleted edits. But the actual revision id exists in the revision table, its just missing the associated text

Looks Like something caused rev_text_id to be 0 which is why it cannot be found in either deleted or non-deleted edits. But the actual revision id exists in the revision table, its just missing the associated text

I think that's just labs converting it to 0?

mysql:wikiadmin@db1052 [enwiki]> select rev_text_id from revision where rev_id = 659870568;
+-------------+
| rev_text_id |
+-------------+
|   664954339 |
+-------------+
1 row in set (0.00 sec)

Looks like your right, wasnt aware of the zeroing

Steinsplitter set Security to None.
Keegan moved this task from Backlog to Review requested on the GlobalRename board.Apr 29 2015, 8:44 PM
Nnemo added a subscriber: Nnemo.Apr 30 2015, 12:42 PM
Stryn added a subscriber: Stryn.Apr 30 2015, 9:15 PM

@Legoktm: Any news here (as you are assignee)? Is the priority "Unbreak now" actually realistic (as there have been no news here for two months)?

@Legoktm: Any news here (as you are assignee)? Is the priority "Unbreak now" actually realistic (as there have been no news here for two months)?

@Legoktm: Any news here (as you are assignee)? Is the priority "Unbreak now" actually realistic (as there have been no news here for four months)?

Glaisher lowered the priority of this task from Unbreak Now! to Normal.Sep 28 2015, 11:23 AM

This shouldn't happen since https://gerrit.wikimedia.org/r/#/c/207501/. The move would just be aborted if the target exists - so lowering priority.

Actually, this is just a duplicate of T97536 now... unless the revisions mentioned in this task are still missing? (so that this doesn't get lost.)

@Xeno: Could you clarify? ^^

Actually, this is just a duplicate of T97536 now...

So shall this task get merged?

Actually, this is just a duplicate of T97536 now...

So shall this task get merged?

@Xeno: Could you clarify? ^^

That. ^

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJul 17 2017, 1:05 AM